Package org.postgresql.replication.fluent.logical

# Class LogicalCreateSlotBuilder

java.lang.Object
org.postgresql.replication.fluent.AbstractCreateSlotBuilder<ChainedLogicalCreateSlotBuilder>
org.postgresql.replication.fluent.logical.LogicalCreateSlotBuilder

All Implemented Interfaces:
  `ChainedCommonCreateSlotBuilder<ChainedLogicalCreateSlotBuilder>`, `ChainedLogicalCreateSlotBuilder`

public class LogicalCreateSlotBuilder extends AbstractCreateSlotBuilder<ChainedLogicalCreateSlotBuilder> implements ChainedLogicalCreateSlotBuilder

## Field Summary

### Fields inherited from class org.postgresql.replication.fluent.AbstractCreateSlotBuilder

`connection, slotName, temporaryOption`

## Constructor Summary

Constructors
Constructor
Description
`LogicalCreateSlotBuilder(BaseConnection connection)`

## Method Summary

Modifier and Type
Method
Description
`ReplicationSlotInfo`
`make()`
Create slot with specified parameters in database.
`protected ChainedLogicalCreateSlotBuilder`
`self()`
`ChainedLogicalCreateSlotBuilder`
`withOutputPlugin(String outputPlugin)`
Output plugin that should be use for decode physical represent WAL to some logical form.

### Methods inherited from class org.postgresql.replication.fluent.AbstractCreateSlotBuilder

`withSlotName, withTemporaryOption`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.postgresql.replication.fluent.ChainedCommonCreateSlotBuilder

`withSlotName, withTemporaryOption`

## Constructor Details

### LogicalCreateSlotBuilder

public LogicalCreateSlotBuilder(BaseConnection connection)

## Method Details

### self

protected ChainedLogicalCreateSlotBuilder self()

Specified by:
  `self` in class `AbstractCreateSlotBuilder<ChainedLogicalCreateSlotBuilder>`

### withOutputPlugin

public ChainedLogicalCreateSlotBuilder withOutputPlugin(String outputPlugin)
Description copied from interface: `ChainedLogicalCreateSlotBuilder`

Output plugin that should be use for decode physical represent WAL to some logical form. Output plugin should be installed on server(exists in shared_preload_libraries).

Package postgresql-contrib provides sample output plugin test_decoding that can be use for test logical replication api

Specified by:
  `withOutputPlugin` in interface `ChainedLogicalCreateSlotBuilder`
Parameters:
  `outputPlugin` - not null name of the output plugin used for logical decoding
Returns:
  the logical slot builder

### make

public ReplicationSlotInfo make() throws SQLException
Description copied from interface: `ChainedCommonCreateSlotBuilder`
Create slot with specified parameters in database.

Specified by:
  `make` in interface `ChainedCommonCreateSlotBuilder<ChainedLogicalCreateSlotBuilder>`
Returns:
  ReplicationSlotInfo with the information of the created slot.
Throws:
  `SQLException` - on error